> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update sequence status

> Update a sequence's status.



## OpenAPI

````yaml /openapi/salesforge-publicapi.json put /workspaces/{workspaceID}/sequences/{sequenceID}/status
openapi: 3.1.0
info:
  description: Get mailboxes associated with the workspace.
  termsOfService: https://www.salesforge.ai/terms
  title: Salesforge API
  version: '2.0'
servers:
  - url: api.salesforge.ai/public/v2
security:
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /workspaces/{workspaceID}/sequences/{sequenceID}/status:
    put:
      tags:
        - sequences
      summary: Update sequence status
      description: Update a sequence's status.
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Sequence ID
          in: path
          name: sequenceID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api.UpdateSequenceStatusRequest'
              summary: request
              description: Request body
        description: Request body
        required: true
      responses:
        '204':
          description: Sequence status updated successfully
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.UpdateSequenceStatusRequest:
      properties:
        status:
          enum:
            - active
            - paused
          type: string
      required:
        - status
      type: object
    errors.Error:
      allOf:
        - $ref: '#/components/schemas/data'
      properties:
        data: {}
        message:
          type: string
      type: object
    data:
      properties:
        data:
          items:
            $ref: '#/components/schemas/api.WebhookResponse'
          type: array
      type: object
    api.WebhookResponse:
      properties:
        id:
          type: string
        name:
          type: string
        sentCount:
          type: integer
        sequenceId:
          type: string
        type:
          $ref: '#/components/schemas/webhooks.WebhookType'
        url:
          type: string
      type: object
    webhooks.WebhookType:
      enum:
        - email_sent
        - email_opened
        - link_clicked
        - email_replied
        - linkedin_replied
        - contact_unsubscribed
        - email_bounced
        - positive_reply
        - negative_reply
        - label_changed
        - dnc_added
        - email_sent
        - email_opened
        - link_clicked
        - email_replied
        - linkedin_replied
        - contact_unsubscribed
        - email_bounced
        - positive_reply
        - negative_reply
        - label_changed
      type: string
      x-enum-varnames:
        - WebhookTypeEmailSent
        - WebhookTypeEmailOpened
        - WebhookTypeLinkClicked
        - WebhookTypeEmailReplied
        - WebhookTypeLinkedinReplied
        - WebhookTypeContactUnsubscribed
        - WebhookTypeEmailBounced
        - WebhookTypePositiveReply
        - WebhookTypeNegativeReply
        - WebhookTypeLabelChanged
        - WebhookTypeDNCAdded
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````